package com.prolog.rdc.tms.service;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.BmsProportionBillStrategyDTO;
import com.prolog.rdc.tms.model.vo.BmsProportionStrategyQueryVO;
import com.prolog.rdc.tms.model.vo.BmsProportionStrategyVO;
import com.prolog.rdc.tms.model.vo.StatusUpdate;

import java.util.List;

public interface ProportionBillStrategyService {

    Page<BmsProportionBillStrategyDTO> findList(BmsProportionStrategyQueryVO vo);

    void save(BmsProportionStrategyVO vo);

    BmsProportionBillStrategyDTO detail(Long id);

    void update(BmsProportionStrategyVO vo);

    void updateStatus(List<StatusUpdate> vo);

    void delete(String[] ids);
}
